Page 4 of 20 FirstFirst 123456789 14 ... LastLast
Results 61 to 80 of 394
Like Tree3Likes
  1.    #61  
    Quote Originally Posted by Zhephree View Post
    Since this reports the OS as 1.4.5 to get the AppCat to allow download of all apps, what about when Palm allows developers to add 2.0 as the minimum version for an app (i.e. voice recorder apps).

    Since the phone is reporting as v1.4.5, you won't be able to download 2.0 apps, even though you're on 2.0, right?
    At the moment, that is the case, but I expect we'll be able to change the palm-build-info back to 2.0 values after the profile login, and at least have Preware and others apps know you're really running 2.0 - whether we can also do the same for the app catalog is to be investigated. Stay tuned!

    -- Rod
  2. andymac85's Avatar
    Posts
    79 Posts
    Global Posts
    80 Global Posts
    #62  
    ^ I tweeted that same question @ you this morning, but didn't get a reply. I figured that was the case, but wanted to make sure.
  3.    #63  
    Quote Originally Posted by Andymac85 View Post
    ^ I tweeted that same question @ you this morning, but didn't get a reply. I figured that was the case, but wanted to make sure.
    Yeah, we're going to test a fix for that tonight.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  4. #64  
    Rod, i never dove in and tweaked my Pre when i had it, but i just have to say that i applaud your dedication toward what you do for everybody here.
  5. Kujila's Avatar
    Posts
    400 Posts
    Global Posts
    401 Global Posts
    #65  
    Quote Originally Posted by rwhitby View Post
    At the moment, that is the case, but I expect we'll be able to change the palm-build-info back to 2.0 values after the profile login, and at least have Preware and others apps know you're really running 2.0 - whether we can also do the same for the app catalog is to be investigated. Stay tuned!

    -- Rod
    Hats off to you gentlemen for your great endeavors. Your stunning progress has prompted my desire for a Pre 2 from HP. It seems Pre 2 on Sprint is becoming a viable solution to the lack of new Sprint WebOs phones!

    Heck, even if Pre 3 hit Sprint this summer, a FrankenPre2 would suit me just fine with its classic-styled form factor!

  6. #66  
    Rod and team, you guys seriously rock. This is exactly what we needed to tide us over until the Pre3 hits.

    Thank you guys. Will be donating for sure!
    Developer of:

    -------------------------------------
    Discuss my apps in my developer forum
  7. #67  
    Quote Originally Posted by rwhitby View Post
    At the moment, that is the case, but I expect we'll be able to change the palm-build-info back to 2.0 values after the profile login, and at least have Preware and others apps know you're really running 2.0 - whether we can also do the same for the app catalog is to be investigated. Stay tuned!

    -- Rod
    You can test it out with the App Catalog now. If Voice Memos shows up, then the App Catalog recognizes the 2.0+ version. If not, then the App Catalog doesn't.
    Arthur Thornton

    Former webOS DevRel Engineer at Palm, HP, and LG
    Former webOS app developer (built Voice Memos, Sparrow, and several homebrew apps and patches)
    Former blogger for webOS Nation and webOS Roundup
  8.    #68  
    Quote Originally Posted by arthurthornton View Post
    You can test it out with the App Catalog now. If Voice Memos shows up, then the App Catalog recognizes the 2.0+ version. If not, then the App Catalog doesn't.
    We just tried it.

    Restoring the correct 2.x /etc/palm-build-info file allows you to access all the apps in the app catalog (excluding min-2.0 apps), and allows you to purchase anything other than min-2.0 apps.

    If you access a min-2.0 app through Preware and attempt to purchase it, you get the standard "This application cannot run on your current operating system, Use the Updates app to install the system update and try again." message.

    The palm profile remains at 1.40.50 through this process.

    One step forward, but still not at the finish line for min-2.0 apps.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  9. #69  
    Quote Originally Posted by rwhitby View Post
    We just tried it.

    Restoring the correct 2.x /etc/palm-build-info file allows you to access all the apps in the app catalog (excluding min-2.0 apps), and allows you to purchase anything other than min-2.0 apps.

    If you access a min-2.0 app through Preware and attempt to purchase it, you get the standard "This application cannot run on your current operating system, Use the Updates app to install the system update and try again." message.

    The palm profile remains at 1.40.50 through this process.

    One step forward, but still not at the finish line for min-2.0 apps.

    -- Rod
    In addition, restoring the correct 2.x /etc/palm-build-info also corrects the issue with preware displaying the incorrect patches/kernels.
    Know your Webos-Internals members:
    http://www.webos-internals.org/wiki/WhoIsWho
  10. #70  
    Ok, Rod, Cryptk... do we have a scriptable process now that can be published here or in the webOS Internals section? I have a couple of already converted Sprint Pre 2's that function beautifully but without paid app cat access and would love to correct that.
    Clicking the Thanks button is a great way to say... well THANKS
    Phone Apps: Church Search, Tap for HELP
    TouchPad Apps: Tap for HELP! HD, webOS Meetups
  11. #71  
    Quote Originally Posted by pastorrich1 View Post
    Ok, Rod, Cryptk... do we have a scriptable process now that can be published here or in the webOS Internals section? I have a couple of already converted Sprint Pre 2's that function beautifully but without paid app cat access and would love to correct that.
    Yeah, I just got my Pre 2 and I can't even use my Sprint Pre anymore, I'm spoiled!! Gotta say, Pre2 blows the Pre out of the water. If only Palm started with this.
  12. #72  
    I also wanted to say thanks to the great work and good documentation on how to do this. I got an unlocked GSM pre2 and put my sprint com board in it, and with some work on a moded 2.0.1 file I got it up and running with all paid apps.
    I can't believe how fast the PRE 2 is compared with the old Sprint Pre. As others have said I can now wait for the Pre 3 to come out on sprint.
  13. #73  
    We've been hearing about all the people getting this to work, but are there people out there who have broken their phone doing this? Not the webOS Internals guys who had to swap out 12 boards in four hours, but everyone else trying this.
  14.    #74  
    Quote Originally Posted by rsanchez1 View Post
    We've been hearing about all the people getting this to work, but are there people out there who have broken their phone doing this? Not the webOS Internals guys who had to swap out 12 boards in four hours, but everyone else trying this.
    If there was, you could be sure that they would be in this thread complaining about it, right?

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  15. #75  
    Well, you never know, they could be in some other unrelated thread complaining about it.

    100% success rate then?
  16. #76  
    Quote Originally Posted by ohallord View Post
    I also wanted to say thanks to the great work and good documentation on how to do this. I got an unlocked GSM pre2 and put my sprint com board in it, and with some work on a moded 2.0.1 file I got it up and running with all paid apps.
    I can't believe how fast the PRE 2 is compared with the old Sprint Pre. As others have said I can now wait for the Pre 3 to come out on sprint.
    Are you saying you can purchase apps that require a minimum of 2.x such as Voice Memos?
  17.    #77  
    Quote Originally Posted by pavvento View Post
    Are you saying you can purchase apps that require a minimum of 2.x such as Voice Memos?
    I suspect not, otherwise I'd like to know how.

    I suspect the reference is to all paid apps except the handful which are marked 2.0.0 minimum.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  18. #78  
    Yea I will have to give the purchasing a web os 2.0 app.
  19. #79  
    has any one gotten the message that it is ready for the 1.4.5 update? I have it showing up.
  20. #80  
    Question-- This board swap leaves the Pre Minus back, right? If my pre's power button is failing (again) will it get the Pre 2 button or will I be stuck with the broken one?
Page 4 of 20 FirstFirst 123456789 14 ... LastLast

Tags for this Thread

Posting Permissions